Bug 501129 - (exception) [traceback] Exception occurred after opening from icon notification
[traceback] Exception occurred after opening from icon notification
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: 502180 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-05-16 15:43 EDT by Luya Tshimbalanga
Modified: 2009-09-13 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-13 21:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2009-05-16 15:43:08 EDT
Description of problem:
Exception occurred while opening gnome-packagekit

Version-Release number of selected component (if applicable):
2.27.2 Release 0.2.20090414git.fc11

How reproducible:

Steps to Reproduce:
1. Open gpk-update-viewer icon notification
Actual results:

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1830, in _runYumTransaction
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3494, in processTransaction
    pkgs = self._downloadPackages(callback)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 3518, in _downloadPackages
    probs = self.downloadPkgs(dlpkgs)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1275, in downloadPkgs
    self.plugins.run('predownload', pkglist=pkglist)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/presto.py", line 577, in predownload_hook
    (problems, more) = downloadPkgs(conduit, pinfo, download_pkgs)
  File "/usr/lib/yum-plugins/presto.py", line 419, in downloadPkgs
    cb.start(text="<delta rebuild>", size=rebuild_size)
  File "/usr/lib/python2.6/site-packages/urlgrabber/progress.py", line 129, in start
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2551, in _do_start
    self.updateProgress(name, 0.0, "", "")
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2593, in updateProgress
    pkg = self._getPackage(name)
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2534, in _getPackage
    sections = name.rsplit('-', 2)
AttributeError: 'NoneType' object has no attribute 'rsplit'

Expected results:
Normal opening

Additional info:
Comment 1 Richard Hughes 2009-06-03 05:31:58 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5750 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5748 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 2 Richard Hughes 2009-06-03 05:36:19 EDT
*** Bug 502180 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2009-06-09 11:57:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 4 Luya Tshimbalanga 2009-09-13 21:57:13 EDT
Bug is resolved. Closing it.

Note You need to log in before you can comment on or make changes to this bug.